<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<!-- div - container element -->
	<header>
		<h1>HTML Tables and Forms</h1>
	</header>

	<main> <!-- MAIN CONTENT -->
		<section>
			<h2>HTML Entities</h2>
			<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code)</em></p>

			<table border="1">
				<!-- TABLE HEAD -->
				<thead>
					<!-- tr - table row -->
					<tr>
						<!-- th - table header -->
						<th colspan="2">Entity</th>
						<th>Description</th>
					</tr>
				</thead>

				<!-- tbody - Table body -->
				<tbody>
					<!-- table data -->
					<tr>
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>
					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>
					<tr>
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>
					<tr>
						<td>&#8369;</td>
						<td>#8369</td>
						<td>peso sign</td>
					</tr>
					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>
					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>
					</tr>
					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>double quotation mark</td>
					</tr>
					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>Lower Tilde</td>
					</tr>
					<tr>
						<td>&Ntilde;</td>
						<td>Ntilde</td>
						<td>Upper Tilde</td>
					</tr>
				</tbody>
				<!-- tfoot-footer content -->
				<tfoot>
					<tr>
						<th colspan="3">List of HTML entities</th>
					</tr>
				</tfoot>
			</table><!-- TABLE CONTENT -->
		</section>

		<section>
			<h2>HTML Forms</h2>
			<p><em>Input elements that make up a form</em></p>

			<form>
				<!-- Name -->
				<label for="fullName">Full Name:</label><br>
				<input type="text" name="full_name" id="fullName" required autocomplete="off"><br>

				<!-- Birth Date -->
				<br><label for="birthDate">Birth Date:</label><br>
				<!-- min/max date format - yyyy-mm-dd -->
				<input type="date" name="birth_date" id="birthDate"
				min="1900-01-01" required><br>

				<!-- Age -->
				<br><label for="age">Age:</label><br>
				<!-- min/max date format - yyyy-mm-dd -->
				<input type="number" name="age" id="age"
				min="1" required><br>

				<!-- Gender -->
				<br><label for="gender">Gender:</label><br>
				<select name="gender" id="gender">
					<option value="Male">Male</option>
					<option value="Female">Female</option>
				</select><br>

				<!-- Notes -->
				<br><label for="notes">Notes</label><br>
				<textarea name="notes" id="notes" rows="5" maxlength="20"></textarea><br>

				<!-- New user -->
				<br><label>New User:</label><br>
				<!-- radio option for yes -->
				<input type="radio" name="new_user" id="user-type1" value="yes">
				<label for="user-type1">Yes</label><br>

				<!-- radio option for no -->
				<input type="radio" name="new_user" id="user-type2" value="no">
				<label for="user-type2">No</label><br>

				<!-- checkbox: Role -->
				<br><label>Role:</label><br>
				<input type="checkbox" name="role" id="role1" value="developer">
				<label for="role1">Developer</label><br>

				<input type="checkbox" name="role" id="role2" value="student">
				<label for="role2">Student</label><br>

				<input type="checkbox" name="role" id="role3" value="manager">
				<label for="role3">Manager</label><br>


				<br><button type="submit">Submit</button><br>
				<br><button type="reset">Reset</button>
			</form><!-- HTML FORMS CONTENT -->
		</section>
	</main>

</body>
</html>